Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		vorbisgain
Version:	0.36
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.sjeng.org/vorbisgain.html
Group:		Sound
Source0:	%{name}-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	normalizing ogg files.
Requires:	libvorbis
Requires:	libogg
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel

%description
When listening to Ogg Vorbis (or MP3) files on your computer, you may have
noticed that some songs are louder than others. To a degree, this can be
what the artist or producer intended, at least when comparing songs from the
same CD. However, when (randomly) listening to songs from different CDs, the
sound level can vary quite much, so much that you need to adjust the volume
every now and then, to get a comfortable sound level. Wouldn't it be nice if
that could be handled automatically?

This is where VorbisGain comes in. It calculates a percieved sound level of
an Ogg Vorbis file using the ReplayGain algorithm. VorbisGain then stores in
the comments (tags) in the file a suggestion on how the volume should be 
changed during playback, to get a uniform sound level. However, this only 
solves half the problem; the player application needs to act on that
suggestion for it to be any useful.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 21 2005 Christian Wasem <wasem@ccux-linux.de> 0.36-1
- Initial Release  
